[Qa-jenkins-scm] [jenkins.debian.net] 01/03: reproducible fdroid: allow `sudo /bin/chmod -R a+rX /var/lib/libvirt/`

Holger Levsen holger at layer-acht.org
Tue Feb 14 20:02:25 UTC 2017


This is an automated email from the git hooks/post-receive script.

holger pushed a commit to branch master
in repository jenkins.debian.net.

commit 1dc921c4b7899502de087f29871698f77603c20f
Author: Hans-Christoph Steiner <hans at eds.org>
Date:   Tue Feb 14 13:07:55 2017 +0100

    reproducible fdroid: allow `sudo /bin/chmod -R a+rX /var/lib/libvirt/`
    
    In order to convert the QEMU/KVM image to a vagrant box, we need to read
    the file directly.  But that dir usually only lets root read the images.
    
    Signed-off-by: Holger Levsen <holger at layer-acht.org>
---
 bin/reproducible_setup_fdroid_build_environment.sh    | 3 +++
 hosts/profitbricks-build7-amd64/etc/sudoers.d/jenkins | 3 ++-
 2 files changed, 5 insertions(+), 1 deletion(-)

diff --git a/bin/reproducible_setup_fdroid_build_environment.sh b/bin/reproducible_setup_fdroid_build_environment.sh
index efdeddd..5118188 100755
--- a/bin/reproducible_setup_fdroid_build_environment.sh
+++ b/bin/reproducible_setup_fdroid_build_environment.sh
@@ -36,6 +36,9 @@ if systemd-detect-virt -q ; then
 else
         echo "No virtualization is used."
 fi
+sudo /bin/chmod -R a+rX /var/lib/libvirt/
+ls -ld /var/lib/libvirt
+ls -l /var/lib/libvirt || echo no access
 cat /etc/issue
 
 # the way we handle jenkins slaves doesn't copy the workspace to the slaves
diff --git a/hosts/profitbricks-build7-amd64/etc/sudoers.d/jenkins b/hosts/profitbricks-build7-amd64/etc/sudoers.d/jenkins
index fa4778f..e039577 100644
--- a/hosts/profitbricks-build7-amd64/etc/sudoers.d/jenkins
+++ b/hosts/profitbricks-build7-amd64/etc/sudoers.d/jenkins
@@ -13,7 +13,8 @@ jenkins ALL=  \
 	/usr/bin/killall timeout, \
 	/usr/sbin/slay 1111, \
 	/usr/sbin/slay 2222, \
-	/usr/sbin/slay jenkins
+	/usr/sbin/slay jenkins, \
+	/bin/chmod -R a+rX /var/lib/libvirt/
 
 # keep these environment variables
 Defaults        env_keep += "http_proxy", env_reset

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git



More information about the Qa-jenkins-scm mailing list